QGIS Application - Bug report #8687

shape layers saved as .tab don't work in Mapinfo when there are decimals fields
Description

Hi,

Sometimes, shape layers saved as .tab in Qgis don't work with MaplInfo and make it closing immediately.

| tested it on windows 7 with Qgis 1.8, 1.9dev, 2.0, 2.1dev and with Mapinfo 7.8 et MaplInfo 11.

These .tab layers are made from Qgis with right click on layer/save as/mapinfo.tab.

Maplnfo isn't able to read these .tab layers but Qgis can read them without any problem.

It seems that problem comes from decimal field.
Indeed, layers wich don't work always as decimal field.

After Qgis conversion, the .tab file read in notepad is like that :

Iltable

Iversion 300
Icharset Neutral

Definition Table

Type NATIVE Charset "Neutral"
Fields 1
_DXFElevat Decimal (24,15) ;
And if | change "Decimal(24,15)" to "Float", Mapinfo will be able to read it.

Futhermore, when | use Maplinfo Universal Translator to convert shape layer to tab layer, the .tab file generated is like that :

Iltable

Iversion 300
Icharset WindowsLatin1

Definition Table

Type NATIVE Charset "WindowsLatin1"
Fields 1
_DXFELEVAT Float ;
Maplinfo UT has converted Decimal (24, 15) to float.
What do you think about it ? Is this report true ?

History

#1 - 2013-09-26 10:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Vectors

Please try do the conversion from the command line with ogr2ogr and see of the result is ok

ogr2ogr -f "Maplinfo File" output input.shp

#2 - 2013-09-27 02:05 AM - Benoit Couillet

- File ogr2ogr_Mapinfo.jpg added

| tried and it didn't work.

I had never used ogr2ogr before so I'm not sure | did it well (you can check on jointed picture).
| converted shape layer in tab layer but the problem remains. Decimal field is still there in .tab file and Maplnfo can't read it and closes.

Definition Table

Type NATIVE Charset "Neutral"

Fields 1
_DXFElevat Decimal (24,15) ;

#3 - 2013-09-27 02:09 AM - Giovanni Manghi
- Resolution set to up/downstream

- Status changed from Feedback to Closed

Benoit Couillet wrote:

| tried and it didn't work.

| had never used ogr2ogr before so I'm not sure | did it well (you can check on jointed picture).
| converted shape layer in tab layer but the problem remains. Decimal field is still there in .tab file and Maplnfo can't read it and closes.

Definition Table

Type NATIVE Charset "Neutral"

Fields 1
_DXFElevat Decimal (24,15) ;

2024-03-20 2/3



it seems then it's not a QGIS issue, but a ogr one. You must file a ticket in the gdal/ogr bug tracker.

If the qgis release you installed uses gdal 1.9.x then you may want also to give a try with gdal/ogr 1.10 and see if the issue as fixed there.

Files

ogr2ogr_Mapinfo.jpg 151 KB 2013-09-27 Benoit Couillet
